Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree
Class TreeFilterConfig

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.core.BaseConfig
              com.gwtext.client.widgets.tree.TreeFilterConfig

    public class TreeFilterConfig

extends BaseConfig

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`TreeFilterConfig()`

Method Summary
`void` | `setAutoClear(boolean autoClear)`
`void` | `setClearBlank(boolean clearBlank)` If set to true and the filter value is blank, then clear the filter.
`void` | `setRemove(boolean remove)` If set to true, the nodes are removed from the tree on filter.
`void` | `setReverse(boolean reverse)` If set to true and `TreeFilter.filterBy(TreeTraversalCallback)` is called, then the filter based on the return value of the of the callback is reversed.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeFilterConfig

    public TreeFilterConfig()

Method Detail

### setClearBlank

    public void setClearBlank(boolean clearBlank)

  If set to true and the filter value is blank, then clear the filter. Defaults to false.

  Parameters:
    `clearBlank` - true to clear filter when blank

### setReverse

    public void setReverse(boolean reverse)

  If set to true and `TreeFilter.filterBy(TreeTraversalCallback)` is called, then the filter based on the return value of the of the callback is reversed. Default is false.

  Parameters:
    `reverse` - true to reverse filter values

### setAutoClear

    public void setAutoClear(boolean autoClear)

### setRemove

    public void setRemove(boolean remove)

  If set to true, the nodes are removed from the tree on filter. Defaults to false.

  Parameters:
    `remove` - true to remove nodes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD